#pragma once

#include "CoreMinimal.h"
#include "K39BaseTentacleSwingState.h"
#include "GameplayTagContainer.h"
#include "K39TentacleSwingPowerCooldownState.generated.h"

UCLASS(Blueprintable)
class THEK39_API UK39TentacleSwingPowerCooldownState : public UK39BaseTentacleSwingState
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FGameplayTagContainer _killerStateTagsToRemove;

public:
	UK39TentacleSwingPowerCooldownState();
};

FORCEINLINE uint32 GetTypeHash(const UK39TentacleSwingPowerCooldownState) { return 0; }
